## org.eclipse.amp.escape.amf.ide
Class ExecuteParameterHeadlessHandler

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.core.commands.AbstractHandler
              org.eclipse.amp.escape.command.ResourceHandler
                  org.eclipse.amp.escape.command.ExecuteHandler
                      org.eclipse.amp.escape.amf.ide.ExecuteParameterHandler
                          org.eclipse.amp.escape.amf.ide.ExecuteParameterHeadlessHandler

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler, org.eclipse.core.commands.IHandler2

Direct Known Subclasses:
  ExecuteParamEMFOutputHandler

    public class ExecuteParameterHeadlessHandler

extends ExecuteParameterHandler

The Class ExecuteParameterHeadlessHandler.

Field Summary

Fields inherited from class org.eclipse.amp.escape.amf.ide.ExecuteParameterHandler
`modelResource`

Constructor Summary
`ExecuteParameterHeadlessHandler()` Instantiates a new execute parameter headless handler.

Method Summary
`protected EclipseEscapeRunner` `createRunner()` Creates the runner.

Methods inherited from class org.eclipse.amp.escape.amf.ide.ExecuteParameterHandler
`executeOpen, getInterpreter, getModel, handleSelect, setInterpreter`

Methods inherited from class org.eclipse.amp.escape.command.ExecuteHandler
`execute, isHeadless, setEnabled, setHeadless`

Methods inherited from class org.eclipse.amp.escape.command.ResourceHandler
`execute, execute, executeHandler, getMonitor, setMonitor`

Methods inherited from class org.eclipse.core.commands.AbstractHandler
`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecuteParameterHeadlessHandler

    public ExecuteParameterHeadlessHandler()

  Instantiates a new execute parameter headless handler.

Method Detail

### createRunner

    protected EclipseEscapeRunner createRunner()

  Description copied from class: `ExecuteHandler`
  Creates the runner.

  Overrides:
    `createRunner` in class `ExecuteParameterHandler`
  Returns:
  See Also:
    `ExecuteParameterHandler.createRunner()`